﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;

namespace ConsumingServicesClient
{
    public partial class WebClientPage : PhoneApplicationPage
    {
        private WebClient m_myWebClient = new WebClient();
        public WebClientPage()
        {
            InitializeComponent();
            m_myWebClient = new WebClient();
            m_myWebClient.DownloadStringCompleted += new DownloadStringCompletedEventHandler(myWebClient_DownloadStringCompleted);
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            string targetURI = Application.Current.Resources["TargetWebURI"].ToString();            
            m_myWebClient.DownloadStringAsync(new System.Uri(targetURI));
        }

        void myWebClient_DownloadStringCompleted(object sender, DownloadStringCompletedEventArgs e)
        {
            System.Diagnostics.Debug.WriteLine(e.Result);
            textBlockResults.Text = e.Result;
        }
    }
}