﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Tasks;

namespace Services_Demo
{
    public partial class MediaPlayerLauncherPage : PhoneApplicationPage
    {
        public MediaPlayerLauncherPage()
        {
            InitializeComponent();
        }

        private void Play_Click(object sender, RoutedEventArgs e)
        {
            MediaPlayerLauncher mediaPlayerLauncher = new MediaPlayerLauncher();

            mediaPlayerLauncher.Media = new Uri("Wildlife.wmv", UriKind.Relative);
            mediaPlayerLauncher.Location = MediaLocationType.Install;
            mediaPlayerLauncher.Controls = MediaPlaybackControls.Pause | MediaPlaybackControls.Stop | MediaPlaybackControls.Rewind;

            try
            {
                mediaPlayerLauncher.Show();
            }
            catch (Exception)
            {
                MessageBox.Show("File not found or Zune Software is connected.");
            }
        }
    }
}