﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Tasks;

namespace Services_Demo
{
    public partial class SaveEmailAddressTaskPage : PhoneApplicationPage
    {
        // Declare SaveEmailAddressTask  in the page scope
        SaveEmailAddressTask saveEmailAddressTask;

        public SaveEmailAddressTaskPage()
        {
            InitializeComponent();

            // Initialize the SaveEmailAddressTask 
            saveEmailAddressTask = new SaveEmailAddressTask();
            
            // Attach Completed handler
            saveEmailAddressTask.Completed += new EventHandler<TaskEventArgs>(SaveEmailAddressTask_Completed);
        }

        private void Save_Click(object sender, RoutedEventArgs e)
        {
            // Provide the email address to save
            saveEmailAddressTask.Email = "sample@mail.com";

            try
            {
                saveEmailAddressTask.Show();
            }
            catch (System.InvalidOperationException ex)
            {
                // Catch the exception in case of a "double tap"
            }
        }

        // Completed event handler
        void SaveEmailAddressTask_Completed(object sender, TaskEventArgs e)
        {
            if (e.TaskResult == TaskResult.OK)
            {
                MessageBox.Show("Email was saved.");
            }
            else
            {
                MessageBox.Show(String.Format("Task returned with {0} result.", e.TaskResult.ToString()));
            }
        }
    }
}