﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Tasks;

namespace Services_Demo
{
    public partial class SavePhoneNumberTaskPage : PhoneApplicationPage
    {
        // Declare SavePhoneNumberTask in page scope
        SavePhoneNumberTask savePhoneNumberTask;

        public SavePhoneNumberTaskPage()
        {
            InitializeComponent();        
            
            // Initialize PhoneNumberChooserTask 
            savePhoneNumberTask = new SavePhoneNumberTask();

            // Attach Completed handler 
            savePhoneNumberTask.Completed += new EventHandler<TaskEventArgs>(SavePhoneNumberTask_Completed);

        }

        private void Save_Click(object sender, RoutedEventArgs e)
        {
            // Provide the number to save
            savePhoneNumberTask.PhoneNumber = "1231231234";

            try
            {
                savePhoneNumberTask.Show();
            }
            catch (System.InvalidOperationException ex)
            {
                // Catch the exception, but no handling is necessary.
            }
        }

        // Completed event handler
        void SavePhoneNumberTask_Completed(object sender, TaskEventArgs e)
        {
            if (e.TaskResult == TaskResult.OK)
            {
                MessageBox.Show("Phone number saved.");
            }
            else
            {
                MessageBox.Show(String.Format("Task returned with {0} result.", e.TaskResult.ToString()));
            }
        }
    }
}