﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.Generic;

namespace BindingExamples
{
    public class AuthorsCollection : List<Author> 
    {
        public AuthorsCollection(){}
        public void CreateSamples()
        {
            this.Clear();

            Author _joe = new Author() { FullName = "Joe Healy", City = "St. Petersburg", State = "Florida" };
            Author _kevin = new Author() { FullName = "Kevin Wolf", City = "Palm Harbor", State = "Florida" };
            Author _nikita = new Author() { FullName = "Nikita Polyakov", City = "Brandon", State = "Florida" };
            Author _scott = new Author() { FullName = "Scott Dorman", City = "Tampa", State = "Florida" };

            this.Add(_joe);
            this.Add(_kevin);
            this.Add(_nikita);
            this.Add(_scott);
        }

        public Author Random()
        {
            if (this.Count <= 0) return null;

            int _numAuthors = this.Count;
            int _randomAuthorNum = new System.Random().Next(_numAuthors);
            return this[_randomAuthorNum];
        }

        public Author RandomNotNamedThis(string NotNamedThis)
        {
            // should be at least two values for this
            if (this.Count <= 1) return null;

            int _numAuthors = this.Count;
            Author _retval;

            System.Random _random = new System.Random();

            // loop until we get one not named what was passed in
            do
            {
                int _randomAuthorNum = _random.Next(_numAuthors);
                _retval = this[_randomAuthorNum];
            } while (_retval.FullName.Equals(NotNamedThis));  

            return _retval;
        }
    }
}
