﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;

namespace BindingExamples
{
    public partial class OneWayBindPage : PhoneApplicationPage
    {
        public Author AuthorDataSource { get; set; }
        public OneWayBindPage()
        {
            InitializeComponent();
            this.Loaded += new RoutedEventHandler(OneWayBindPage_Loaded);
        }

        void OneWayBindPage_Loaded(object sender, RoutedEventArgs e)
        {
            AuthorDataSource = new Author();
            LayoutRoot.DataContext = AuthorDataSource;

            textBlockCodeValue.Text = AuthorDataSource.FullName;
        }

        private void buttonChangeValueInCode_Click(object sender, RoutedEventArgs e)
        {
            AuthorsCollection _coll = new AuthorsCollection();
            _coll.CreateSamples();
            AuthorDataSource.FullName = _coll.RandomNotNamedThis(  textBoxBoundValue.Text).FullName;
            textBlockCodeValue.Text = AuthorDataSource.FullName;
        }
    }
}
