﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

using System.Collections.Generic;
using System.Runtime.Serialization;

namespace ConsumingServicesClient
{
    [DataContract]
    public class GeoNames
    {
        [DataMember]
        public List<GeoName> geonames;
    }

    [DataContract]
    public class GeoName
    {
        [DataMember]
        public string topnymName;
        [DataMember]
        public string name;
        [DataMember]
        public double lat;
        [DataMember]
        public double lng;
        [DataMember]
        public string geonameId;
        [DataMember]
        public string countrycode;
        [DataMember]
        public string countryName;
        [DataMember]
        public string fcl;
        [DataMember]
        public string fcode;
    }
}

// http://ws.geonames.org/citiesJSON?north=27.8&south=27.5&west=-82.7&east=-82.5
 //{"geonames":[
 //{"fcodeName":"populated place","countrycode":"US","fcl":"P","fclName":"city, village,...","name":"Saint Petersburg","wikipedia":"en.wikipedia.org/wiki/St._Petersburg%2C_Florida","lng":-82.6792661,"fcode":"PPL","geonameId":4171563,"lat":27.7708606,"population":246316},
 //{"fcodeName":"populated place","countrycode":"US","fcl":"P","fclName":"city, village,...","name":"Palmetto","wikipedia":"en.wikipedia.org/wiki/Palmetto%2C_Florida","lng":-82.5723193,"fcode":"PPL","geonameId":4167632,"lat":27.5214269,"population":12806},
 //{"fcodeName":"populated place","countrycode":"US","fcl":"P","fclName":"city, village,...","name":"Memphis","wikipedia":"en.wikipedia.org/wiki/Memphis%2C_Florida","lng":-82.561208,"fcode":"PPL","geonameId":4164047,"lat":27.5358708,"population":7572},
 //{"fcodeName":"populated place","countrycode":"US","fcl":"P","fclName":"city, village,...","name":"West Bradenton","wikipedia":"en.wikipedia.org/wiki/West_Bradenton%2C_Florida","lng":-82.6139868,"fcode":"PPL","geonameId":4177759,"lat":27.5025384,"population":4439},
 //{"fcodeName":"populated place","countrycode":"US","fcl":"P","fclName":"city, village,...","name":"Ellenton","wikipedia":"en.wikipedia.org/wiki/Ellenton%2C_Florida","lng":-82.5275963,"fcode":"PPL","geonameId":4154367,"lat":27.521705,"population":3478},{"fcodeName":"populated place","countrycode":"US","fcl":"P","fclName":"city, village,...","name":"Rubonia","wikipedia":"","lng":-82.5525967,"fcode":"PPL","geonameId":4170659,"lat":27.5789245,"population":0},{"fcodeName":"populated place","countrycode":"US","fcl":"P","fclName":"city, village,...","name":"Lakewood Estates","wikipedia":"","lng":-82.6673214,"fcode":"PPL","geonameId":4161508,"lat":27.7278067,"population":0},{"fcodeName":"populated place","countrycode":"US","fcl":"P","fclName":"city, village,...","name":"Valroy","wikipedia":"","lng":-82.5153737,"fcode":"PPL","geonameId":4176322,"lat":27.6494773,"population":0},{"fcodeName":"populated place","countrycode":"US","fcl":"P","fclName":"city, village,...","name":"Gillette","wikipedia":"","lng":-82.5270406,"fcode":"PPL","geonameId":4156781,"lat":27.6011459,"population":0},{"fcodeName":"populated place","countrycode":"US","fcl":"P","fclName":"city, village,...","name":"Palma Sola","wikipedia":"","lng":-82.6320426,"fcode":"PPL","geonameId":4167614,"lat":27.51226,"population":0}
 //]}
