﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;

// streamreader
using System.IO;

namespace ConsumingServicesClient
{
    public partial class HttpWebRequestPage : PhoneApplicationPage
    {
        public HttpWebRequestPage()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            System.Uri targetUri = new System.Uri(Application.Current.Resources["TargetWebURI"].ToString());
            HttpWebRequest request = (HttpWebRequest)HttpWebRequest.Create(targetUri);
            request.BeginGetResponse(new AsyncCallback( ReadWebRequestCallback ),request); 
        }

        private void ReadWebRequestCallback(IAsyncResult callbackResult )
        {
            try
            {
                HttpWebRequest myRequest = (HttpWebRequest)callbackResult.AsyncState;
                HttpWebResponse myResponse = (HttpWebResponse)myRequest.EndGetResponse(callbackResult);

                using (StreamReader httpwebStreamReader = new StreamReader(myResponse.GetResponseStream()))
                {
                    string results = httpwebStreamReader.ReadToEnd();
                    // textBlockResults.Text = results; -- on another thread!
                    Dispatcher.BeginInvoke(() => textBlockResults.Text = results);
                }

                myResponse.Close();
            }
            catch (Exception ex)
            {
                Dispatcher.BeginInvoke(() => textBlockResults.Text = ex.ToString());
            }
        }

    }
}

