﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;

namespace ConsumingServicesClient
{
    public partial class WCFListFLAppsPage : PhoneApplicationPage
    {
        public FLAppsProxy.FLAppsClient m_serviceProxy { get; set; }

        public WCFListFLAppsPage()
        {
            InitializeComponent();
            m_serviceProxy = new FLAppsProxy.FLAppsClient();
            m_serviceProxy.GetApplicationsCompleted += new EventHandler<FLAppsProxy.GetApplicationsCompletedEventArgs>(m_serviceProxy_GetApplicationsCompleted);
        }

        void m_serviceProxy_GetApplicationsCompleted(object sender, FLAppsProxy.GetApplicationsCompletedEventArgs e)
        {
            List<FLAppsProxy.Application> _appList = e.Result.ToList<FLAppsProxy.Application>() ;
            listBoxApps.ItemsSource = from _app in _appList 
                                      orderby _app.DateCreated descending 
                                      where _app.DeveloperName == "Joe Healy" || _app.DeveloperName == "Kevin D. Wolf"
                                      select _app;
        }

        private void buttonListApps_Click(object sender, RoutedEventArgs e)
        {
            m_serviceProxy.GetApplicationsAsync();
        }
    }
}