﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;

using ConsumingServicesClient;
using System.Windows.Media.Imaging;

namespace ConsumingServicesClient
{
    public partial class WCFRandomAppPage : PhoneApplicationPage
    {
        public FLAppsProxy.FLAppsClient m_serviceProxy { get; set; }

        public WCFRandomAppPage()
        {
            InitializeComponent();
            m_serviceProxy = new FLAppsProxy.FLAppsClient();
            m_serviceProxy.GetRandomAppCompleted += new EventHandler<FLAppsProxy.GetRandomAppCompletedEventArgs>(m_serviceProxy_GetRandomAppCompleted);

            textBlockServiceAddress.Text = m_serviceProxy.Endpoint.Address.ToString() + " (binding=" + m_serviceProxy.Endpoint.Binding.ToString() + ")";
        }

        void m_serviceProxy_GetRandomAppCompleted(object sender, FLAppsProxy.GetRandomAppCompletedEventArgs e)
        {
            FLAppsProxy.Application _app = (FLAppsProxy.Application)e.Result;
            textBlockName.Text = _app.AppName;
            textBlockAuthor.Text = _app.DeveloperName;
            textBlockDescription.Text = _app.Description;
            imageThumbnail.Source = new BitmapImage(new Uri(_app.ThumbnailUrl, UriKind.RelativeOrAbsolute));
        }

        private void buttonRandomApp_Click(object sender, RoutedEventArgs e)
        {
            m_serviceProxy.GetRandomAppAsync();            
        }
    }
}