﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SAMSMobileCitizenry
{
    static public class MobileCitizenHelper
    {
        static public void DebugOut(string s)
        {
            if (System.Diagnostics.Debugger.IsAttached)
            {
                System.Diagnostics.Debug.WriteLine("***" + s);
            }
        }
        static public void DebugOut(System.Collections.Generic.IDictionary<string,string> querystring, string caption)
        {
            if (querystring.Keys.Count <= 0)
            {
                return;
            }
            System.Text.StringBuilder sb = new System.Text.StringBuilder(1024);
            if (System.Diagnostics.Debugger.IsAttached)
            {
                foreach (string key in querystring.Keys)
                {
                    string value = querystring[key].ToString();
                    sb.AppendFormat("{0}:{1}",key, value);
                    sb.AppendLine();
                }
            }
            DebugOut( String.Format("{0}:{1}",caption, sb.ToString() ));
        }
    }
}
